dbXML API

## org.dbxml.core.data
Interface NodeSet

All Known Implementing Classes:
  EmptyNodeSet, NodeListSet

public interface NodeSet

NodeSet is an interface for iterating over a set of Nodes. NodeSets are generally returned by the QueryEngine.

Method Summary
`org.w3c.dom.Node` `getNextNode()` getNextNode returns the next Node from the NodeSet.
`boolean` `hasMoreNodes()` hasMoreNodes returns whether or not there are any Nodes remaining in the NodeSet.

Method Detail

### hasMoreNodes

    public boolean hasMoreNodes()

  hasMoreNodes returns whether or not there are any Nodes remaining in the NodeSet.
  Returns:
    Whether there are any more Nodes

### getNextNode

    public org.w3c.dom.Node getNextNode()

  getNextNode returns the next Node from the NodeSet.
  Returns:
    The next Node

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved